Package ru.bitel.bgbilling.kernel.contract.param.server.bean

# Class ContractParameters

java.lang.Object
ru.bitel.bgbilling.kernel.contract.param.server.bean.ContractParameters

    public class ContractParameters
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractParameters()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.util.Set<java.lang.Integer>` | `getContractParameterIdsInGroup​(int contractParamGroupId, java.sql.Connection con)` | По коду группы параметров договора, возвращает список кодов параметров входящих в группу
  `static java.util.List<ContractParameterPref>` | `getContractParameterPrefList​(java.util.Set<java.lang.Integer> parameterIds, java.sql.Connection con)` | По набору кодов параметров, возращает список тех параметров у которых стоит флаг чтения и/или записи
  `static java.util.Map<java.lang.Integer,​java.lang.String>` | `getContractParameterValue​(java.util.List<ContractParameterPref> showList, int contractId, java.sql.Connection con)` | По заданому списку параметров и коду договору, возращает значения параметров
  `static java.util.Map<java.lang.Integer,​java.lang.String>` | `getContractParameterValue​(java.util.Set<java.lang.Integer> paramIds, int contractId, java.sql.Connection con)` | По заданому списку параметров и коду договору, возращает значения параметров

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractParameters

    public ContractParameters()

- ## Method Details

  - ### getContractParameterIdsInGroup

    public static java.util.Set<java.lang.Integer> getContractParameterIdsInGroup​(int contractParamGroupId, java.sql.Connection con) throws ru.bitel.bgbilling.common.BGException
    По коду группы параметров договора, возвращает список кодов параметров входящих в группу
    Parameters:
      `contractParamGroupId` - код группы
      `con` - коннект к БД
    Returns:
      набор кодов параметров
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractParameterPrefList

    public static java.util.List<ContractParameterPref> getContractParameterPrefList​(java.util.Set<java.lang.Integer> parameterIds, java.sql.Connection con) throws ru.bitel.bgbilling.common.BGException
    По набору кодов параметров, возращает список тех параметров у которых стоит флаг чтения и/или записи
    Parameters:
      `parameterIds` - колы параметров договоров
      `con` - коннект в БД
    Returns:
      список параметров
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractParameterValue

    public static java.util.Map<java.lang.Integer,​java.lang.String> getContractParameterValue​(java.util.List<ContractParameterPref> showList, int contractId, java.sql.Connection con) throws ru.bitel.bgbilling.common.BGException
    По заданому списку параметров и коду договору, возращает значения параметров
    Parameters:
      `showList` - список параметров
      `contractId` - код договора
      `con` - коннект к БД
    Returns:
      значения параметров
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractParameterValue

    public static java.util.Map<java.lang.Integer,​java.lang.String> getContractParameterValue​(java.util.Set<java.lang.Integer> paramIds, int contractId, java.sql.Connection con) throws ru.bitel.bgbilling.common.BGException
    По заданому списку параметров и коду договору, возращает значения параметров
    Parameters:
      `paramIds` - набор кодов параметров
      `contractId` - код договора
      `con` - коннект к БД
    Returns:
      значения парметров
    Throws:
      `ru.bitel.bgbilling.common.BGException`